コンテンツにスキップ
ShopentlyLearn

商品 · 購入後に追加されるファイルへのアクセス

この操作は廃止され、データを変更せずに409を返します。各デジタルファイルのアクセスは、対象者の選択で個別に設定してください。

PATCH/api/v1/products/{product_id}/file-update-policy

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/products/example/file-update-policy \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: files-example-update_policy_api_v1_products__product_id__file_update_policy_patch' \
  --header 'Content-Type: application/json' \
  --data-raw '{"days":365,"expected_version":1,"mode":"period","months":null}'

レスポンス

{
  "error": {
    "code": "resource.state_conflict",
    "fields": null,
    "message": "The current resource state does not allow this operation."
  },
  "meta": {
    "request_id": "example-request"
  }
}

必要な権限

利用可能な最低プラン
STANDARD
キーの権限
商品ファイルの管理 · デジタル商品catalog.product_file:write_digital